import request from "@/utils/request";

// 查询方案的详情
export function listFaxq(query) {
  return request({
    url: "/jt/jtSjfa/sjfaList",
    method: "get",
    params: query,
  });
}
//施工步骤新增
export function addSgbzsj(data) {
  return request({
    url: "/jt/jtSgbzsj",
    method: "post",
    data: data,
  });
}
//步骤编辑
export function updateSgbzsj(data) {
  return request({
    url: "/jt/jtSgbzsj",
    method: "put",
    data: data,
  });
}
//步骤删除
export function deleteSgbzsj(id) {
  return request({
    url: "/jt/jtSgbzsj/" + id,
    method: "delete",
  });
}
//步骤单条查询
export function getSgbzsj(id) {
  return request({
    url: "/jt/jtSgbzsj/" + id,
    method: "get",
  });
}
//套管结构图
export function getTgjgt(query) {
  return request({
    url: "/jt/jtZjzhsj/list",
    method: "get",
    params: query,
  });
}
//套管信息
export function getTgxx(id) {
  return request({
    url: "/jt/jtZjzhtg/tgxx/" + id,
    method: "get",
  });
}
//选择套管
export function getTgList(query) {
  return request({
    url: "/jtzj/jtzjTg/list",
    method: "get",
    params: query,
  });
}
//套管编辑保存
export function updateTg(data) {
  return request({
    url: "/jt/jtZjzhtg",
    method: "put",
    data,
  });
}
//套管外径下拉框
export function tgwjList(query) {
  return request({
    url: "/jtzj/jtzjTg/select",
    method: "get",
    params: query,
  });
}

//结构图修改
export function updateJgt(data) {
  return request({
    url: "/jt/jtZjzhsj",
    method: "put",
    data,
  });
}
/**钻进、起下钻钻具组合开始 */
//钻具组合图
export function getZjzhPic(query) {
  return request({
    url: "/jt/jtZjzhsj/list",
    method: "get",
    params: query,
  });
}
//钻具组合结构图新增
export function addZjzhPic(data) {
  return request({
    url: "/jt/jtZjzhsj",
    method: "post",
    data,
  });
}
//钻具组合结构图修改
export function editZjzhPic(data) {
  return request({
    url: "/jt/jtZjzhsj",
    method: "put",
    data,
  });
}
//钻具组合结构图更新
export function updateZjzhPic(data) {
  return request({
    url: "/jt/jtZjzhsj/updatesx",
    method: "post",
    data,
  });
}
//钻具组合结构图单个删除
export function deleteZjzhPic(id) {
  return request({
    url: "/jt/jtZjzhsj/" + id,
    method: "delete",
  });
}
//钻头
//钻头信息
export function getZuanTouInfo(id) {
  return request({
    url: "/jt/jtZjzhztou/ztxx/" + id,
    method: "get",
  });
}
//钻头新增
export function addZuanTou(data) {
  return request({
    url: "/jt/jtZjzhztou",
    method: "post",
    data,
  });
}
//钻头编辑
export function editZuanTou(data) {
  return request({
    url: "/jt/jtZjzhztou",
    method: "put",
    data,
  });
}
//钻头删除
export function deleteZuanTou(id) {
  return request({
    url: "/jt/jtZjzhztou/" + id,
    method: "delete",
  });
}
//钻头厂家信息
export function getZuanTouZzs(query) {
  return request({
    url: "/jtzj/jtzjZtou/list",
    method: "get",
    params: query,
  });
}
//过钻头降压
//过钻头降压List
export function getGuoZuanTouList(query) {
  return request({
    url: "/jt/jtZjzhztouGztjt/list",
    method: "get",
    params: query,
  });
}
//过钻头降压新增
export function addGuoZuanTou(data) {
  return request({
    url: "/jt/jtZjzhztouGztjt",
    method: "post",
    data,
  });
}
//过钻头降压编辑
export function editGuoZuanTou(data) {
  return request({
    url: "/jt/jtZjzhztouGztjt",
    method: "put",
    data,
  });
}
//过钻头降压删除
export function deleteGuoZuanTou(id) {
  return request({
    url: "/jt/jtZjzhztouGztjt/" + id,
    method: "delete",
  });
}
//排量
//排量List
export function getPaiLiangList(query) {
  return request({
    url: "/jt/jtZjzhztouPl/list",
    method: "get",
    params: query,
  });
}
//排量新增
export function addPaiLiang(data) {
  return request({
    url: "/jt/jtZjzhztouPl",
    method: "post",
    data,
  });
}
//排量编辑
export function editPaiLiang(data) {
  return request({
    url: "/jt/jtZjzhztouPl",
    method: "put",
    data,
  });
}
//排量删除
export function deletePaiLiang(id) {
  return request({
    url: "/jt/jtZjzhztouPl/" + id,
    method: "delete",
  });
}

//螺杆钻具
//螺杆钻具信息
export function getLuoGanInfo(id) {
  return request({
    url: "/jt/jtZjzhlgzj/zjxx/" + id,
    method: "get",
  });
}
//螺杆钻具厂商信息
export function getLuoGanZzs(query) {
  return request({
    url: "/jtzj/jtzjLgzj/list",
    method: "get",
    params: query,
  });
}
//螺杆新增
export function addLuoGan(data) {
  return request({
    url: "/jt/jtZjzhlgzj",
    method: "post",
    data,
  });
}
//螺杆编辑的保存
export function editLuoGan(data) {
  return request({
    url: "/jt/jtZjzhlgzj",
    method: "put",
    data,
  });
}
//螺杆删除
export function deleteLuoGan(id) {
  return request({
    url: "/jt/jtZjzhlgzj/" + id,
    method: "delete",
  });
}

// 旋转导向
//旋转导向信息
export function getXuanZhuanInfo(id) {
  return request({
    url: "/jt/jtZjzhxzdx/zjxx/" + id,
    method: "get",
  });
}
//旋转导向厂商信息
export function getXuanZhuanZzs(query) {
  return request({
    url: "/jtzj/jtzjXzdx/list",
    method: "get",
    params: query,
  });
}
//旋转导向新增
export function addXuanZhuan(data) {
  return request({
    url: "/jt/jtZjzhxzdx",
    method: "post",
    data,
  });
}
//旋转导向编辑的保存
export function editXuanZhuan(data) {
  return request({
    url: "/jt/jtZjzhxzdx",
    method: "put",
    data,
  });
}
///旋转导向删除
export function deleteXuanZhuan(id) {
  return request({
    url: "/jt/jtZjzhxzdx/" + id,
    method: "delete",
  });
}
//MWD
//MWD信息
export function getMWDInfo(id) {
  return request({
    url: "/jt/jtZjzhmwd/zjxx/" + id,
    method: "get",
  });
}
//MWD厂商信息
export function getMWDZzs(query) {
  return request({
    url: "/jtzj/jtzjMwd/list",
    method: "get",
    params: query,
  });
}
//MWD新增
export function addMWD(data) {
  return request({
    url: "/jt/jtZjzhmwd",
    method: "post",
    data,
  });
}
//MWD编辑的保存
export function editMWD(data) {
  return request({
    url: "/jt/jtZjzhmwd",
    method: "put",
    data,
  });
}
//MWD导向删除
export function deleteMWD(id) {
  return request({
    url: "/jt/jtZjzhmwd/" + id,
    method: "delete",
  });
}

//钻铤
//钻铤信息
export function getZuanTingInfo(id) {
  return request({
    url: "/jt/jtZjzhzting/zjxx/" + id,
    method: "get",
  });
}
//钻铤厂商信息
export function getZuanTingZzs(query) {
  return request({
    url: "/jtzj/jtzjZting/list",
    method: "get",
    params: query,
  });
}
//钻铤新增
export function addZuanTing(data) {
  return request({
    url: "/jt/jtZjzhzting",
    method: "post",
    data,
  });
}
//钻铤编辑的保存
export function editZuanTing(data) {
  return request({
    url: "/jt/jtZjzhzting",
    method: "put",
    data,
  });
}
//钻铤删除
export function deleteZuanTing(id) {
  return request({
    url: "/jt/jtZjzhzting/" + id,
    method: "delete",
  });
}

//加重钻杆
//加重钻杆信息
export function getJiaZhongInfo(id) {
  return request({
    url: "/jt/jtZjzhjzzg/zjxx/" + id,
    method: "get",
  });
}
//加重钻杆厂商信息
export function getJiaZhongZzs(query) {
  return request({
    url: "/jtzj/jtzjJzzg/list",
    method: "get",
    params: query,
  });
}
//加重钻杆新增
export function addJiaZhong(data) {
  return request({
    url: "/jt/jtZjzhjzzg",
    method: "post",
    data,
  });
}
//加重钻杆编辑的保存
export function editJiaZhong(data) {
  return request({
    url: "/jt/jtZjzhjzzg",
    method: "put",
    data,
  });
}
//加重钻杆导向删除
export function deleteJiaZhong(id) {
  return request({
    url: "/jt/jtZjzhjzzg/" + id,
    method: "delete",
  });
}

//钻杆
//钻杆信息
export function getZuanGanInfo(id) {
  return request({
    url: "/jt/jtZjzhzg/zjxx/" + id,
    method: "get",
  });
}
//钻杆厂商信息
export function getZuanGanZzs(query) {
  return request({
    url: "/jtzj/jtzjZg/list",
    method: "get",
    params: query,
  });
}
//钻杆新增
export function addZuanGan(data) {
  return request({
    url: "/jt/jtZjzhzg",
    method: "post",
    data,
  });
}
//钻杆编辑的保存
export function editZuanGan(data) {
  return request({
    url: "/jt/jtZjzhzg",
    method: "put",
    data,
  });
}
//钻杆导向删除
export function deleteZuanGan(id) {
  return request({
    url: "/jt/jtZjzhzg/" + id,
    method: "delete",
  });
}

//稳定器
//稳定器信息
export function getWenDingInfo(id) {
  return request({
    url: "/jt/jtZjzhwdq/zjxx/" + id,
    method: "get",
  });
}
//稳定器厂商信息
export function getWenDingZzs(query) {
  return request({
    url: "/jtzj/jtzjWdq/list",
    method: "get",
    params: query,
  });
}
//稳定器新增
export function addWenDing(data) {
  return request({
    url: "/jt/jtZjzhwdq",
    method: "post",
    data,
  });
}
//稳定器编辑的保存
export function editWenDing(data) {
  return request({
    url: "/jt/jtZjzhwdq",
    method: "put",
    data,
  });
}
//稳定器导向删除
export function deleteWenDing(id) {
  return request({
    url: "/jt/jtZjzhwdq/" + id,
    method: "delete",
  });
}

//扩眼器
//扩眼器信息
export function getKuoYanInfo(id) {
  return request({
    url: "/jt/JtZjzhkyq/zjxx/" + id,
    method: "get",
  });
}
//扩眼器厂商信息
export function getKuoYanZzs(query) {
  return request({
    url: "/jtzj/jtzjKyq/list",
    method: "get",
    params: query,
  });
}
//扩眼器新增
export function addKuoYan(data) {
  return request({
    url: "/jt/JtZjzhkyq",
    method: "post",
    data,
  });
}
//扩眼器编辑的保存
export function editKuoYan(data) {
  return request({
    url: "/jt/JtZjzhkyq",
    method: "put",
    data,
  });
}
//扩眼器删除
export function deleteKuoYan(id) {
  return request({
    url: "/jt/JtZjzhkyq/" + id,
    method: "delete",
  });
}
//总流面积
// 查询总流面积
export function listZongLiuArea(query) {
  return request({
    url: "/jt/JtZjzhkyqZlmj/list",
    method: "get",
    params: query,
  });
}
//总流面积新增
export function addZongLiuArea(data) {
  return request({
    url: "/jt/JtZjzhkyqZlmj",
    method: "post",
    data: data,
  });
}
//总流面积编辑
export function updateZongLiuArea(data) {
  return request({
    url: "/jt/JtZjzhkyqZlmj",
    method: "put",
    data: data,
  });
}
//总流面积删除
export function deleteZongLiuArea(id) {
  return request({
    url: "/jt/JtZjzhkyqZlmj/" + id,
    method: "delete",
  });
}
//工具分流
// 查询工具分流
export function listGongJuFL(query) {
  return request({
    url: "/jt/JtZjzhkyqGjfl/list",
    method: "get",
    params: query,
  });
}
//工具分流新增
export function addGongJuFL(data) {
  return request({
    url: "/jt/JtZjzhkyqGjfl",
    method: "post",
    data: data,
  });
}
//工具分流编辑
export function updateGongJuFL(data) {
  return request({
    url: "/jt/JtZjzhkyqGjfl",
    method: "put",
    data: data,
  });
}
//工具分流删除
export function deleteGongJuFL(id) {
  return request({
    url: "/jt/JtZjzhkyqGjfl/" + id,
    method: "delete",
  });
}
/**钻进、起下钻钻具组合结束 */

/**下拉框开始 */
//钻头尺寸下拉框
export function zuanTouSizeList(query) {
  return request({
    url: "/jtzj/jtzjZtou/select",
    method: "get",
    params: query,
  });
}
//螺杆钻具外径下拉框
export function luoGanSizeList(query) {
  return request({
    url: "/jtzj/jtzjLgzj/select",
    method: "get",
    params: query,
  });
}
//旋转导向外径下拉框
export function xuanZhuanSizeList(query) {
  return request({
    url: "/jtzj/jtzjXzdx/select",
    method: "get",
    params: query,
  });
}
//MWD外径下拉框
export function MwdSizeList(query) {
  return request({
    url: "/jtzj/jtzjMwd/select",
    method: "get",
    params: query,
  });
}
//钻铤外径下拉框
export function zuanTingSizeList(query) {
  return request({
    url: "/jtzj/jtzjZting/select",
    method: "get",
    params: query,
  });
}
//加重钻杆外径下拉框
export function jiaZhongSizeList(query) {
  return request({
    url: "/jtzj/jtzjJzzg/select",
    method: "get",
    params: query,
  });
}
//钻杆外径下拉框
export function zuanGanSizeList(query) {
  return request({
    url: "/jtzj/jtzjZg/select",
    method: "get",
    params: query,
  });
}
//稳定器外径下拉框
export function wenDingSizeList(query) {
  return request({
    url: "/jtzj/jtzjWdq/select",
    method: "get",
    params: query,
  });
}
//扩眼器外径下拉框
export function kuoYanSizeList(query) {
  return request({
    url: "/jtzj/jtzjKyq/select",
    method: "get",
    params: query,
  });
}
//扩眼器最小钻头尺寸
export function kuoYanMinSizeList(query) {
  return request({
    url: "/jtzj/jtzjKyq/selectZtcc",
    method: "get",
    params: query,
  });
}
/**下拉框结束 */

/**其他钻具开始 */
// 其他钻具信息
export function getOtherInfo(id) {
  return request({
    url: "/jt/jtZjzhqtzj/zjxx/" + id,
    method: "get",
  });
}
//其他钻具新增
export function addOtherDrill(data) {
  return request({
    url: "/jt/jtZjzhqtzj",
    method: "post",
    data: data,
  });
}
//其他钻具编辑
export function editOtherDrill(data) {
  return request({
    url: "/jt/jtZjzhqtzj",
    method: "put",
    data: data,
  });
}
//其他钻具删除
export function deleteOtherDrill(id) {
  return request({
    url: "/jt/jtZjzhqtzj/" + id,
    method: "delete",
  });
}
/**其他钻具结束 */

// 套管鞋信息
export function getTgx(id) {
  return request({
    url: "/jt/jtZjzhtgx/ztxx/" + id,
    method: "get",
  });
}
// 套管鞋信息

//保存套管鞋
export function saveTgx(data) {
  return request({
    url: "/jt/jtZjzhtgx",
    method: "post",
    data: data,
  });
}
//编辑套管鞋
export function editTgx(data) {
  return request({
    url: "/jt/jtZjzhtgx",
    method: "put",
    data: data,
  });
}
//删除套管鞋
export function deleteTgx(id) {
  return request({
    url: "/jt/jtZjzhtgx/" + id,
    method: "delete",
  });
}
//套管鞋水眼
// 套管鞋水眼信息
export function getTgxsy(zjzhsjid) {
  return request({
    url: "/jt/jtZjzhtgxSy/ztxx/" + zjzhsjid,
    method: "get",
  });
}
//保存套管鞋水眼
export function saveTgxsy(data) {
  return request({
    url: "/jt/jtZjzhtgxSy",
    method: "post",
    data: data,
  });
}
//编辑套管鞋水眼
export function editTgxsy(data) {
  return request({
    url: "/jt/jtZjzhtgxSy",
    method: "put",
    data: data,
  });
}
//删除套管鞋水眼
export function deleteTgxsy(id) {
  return request({
    url: "/jt/jtZjzhtgxSy/" + id,
    method: "delete",
  });
}
//套管鞋排量
// 套管鞋排量
export function getTgxsypl(zjzhsjid) {
  return request({
    url: "/jt/jtZjzhtgxPl/ztxx/" + zjzhsjid,
    method: "get",
  });
}
//保存套管鞋
export function saveTgxsypl(data) {
  return request({
    url: "/jt/jtZjzhtgxPl",
    method: "post",
    data: data,
  });
}
//编辑套管鞋排量
export function editTgxpl(data) {
  return request({
    url: "/jt/jtZjzhtgxPl",
    method: "put",
    data: data,
  });
}
//删除套管鞋排量
export function deleteTgxpl(id) {
  return request({
    url: "/jt/jtZjzhtgxPl/" + id,
    method: "delete",
  });
}
// 套管鞋结束----//

// 自动计算
export function listZdjs(query) {
  return request({
    url: "/dt/dtTzxlxx/zdjsd",
    method: "get",
    params: query,
  });
}
